- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannDistCntrlNeumB3 Class Reference

Class implementating Example 6. More...

`#include <MittelmannDistCntrlNeumB.hpp>`

Inheritance diagram for MittelmannDistCntrlNeumB3:

[legend]
Collaboration diagram for MittelmannDistCntrlNeumB3:

[legend]
List of all members.

## Public Member Functions
| MittelmannDistCntrlNeumB3 ()
virtual | ~MittelmannDistCntrlNeumB3 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Profile function for initial y.
virtual Number | fint_cont (Number x1, Number x2, Number y, Number u) const
| Integrant in objective function.
virtual Number | fint_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydy_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dudu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y.
virtual bool | d_cont_dydy_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dudu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dydu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
## Private Member Functions
Number | a (Number x1, Number x2) const
hide implicitly defined contructors copy operators
| MittelmannDistCntrlNeumB3 (const MittelmannDistCntrlNeumB3 &)
MittelmannDistCntrlNeumB3 & | operator= (const MittelmannDistCntrlNeumB3 &)
## Private Attributes
const Number | pi_
| Value of pi (made available for convenience).
const Number | M_
const Number | K_
const Number | b_

## Detailed Description

Class implementating Example 6.

Definition at line 539 of file MittelmannDistCntrlNeumB.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlNeumB3::MittelmannDistCntrlNeumB3 | ( |  | ) | `[inline]`

Definition at line 542 of file MittelmannDistCntrlNeumB.hpp.

virtual MittelmannDistCntrlNeumB3::~MittelmannDistCntrlNeumB3 | ( |  | ) | `[inline, virtual]`

Definition at line 550 of file MittelmannDistCntrlNeumB.hpp.

MittelmannDistCntrlNeumB3::MittelmannDistCntrlNeumB3 | ( | const MittelmannDistCntrlNeumB3 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannDistCntrlNeumB3::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 553 of file MittelmannDistCntrlNeumB.hpp.

References MittelmannDistCntrlNeumBBase::SetBaseParameters().

virtual Number MittelmannDistCntrlNeumB3::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Profile function for initial y.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 574 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB3::fint_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Integrant in objective function.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 579 of file MittelmannDistCntrlNeumB.hpp.

References K_, and M_.

virtual Number MittelmannDistCntrlNeumB3::fint_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

y

Implements MittelmannDistCntrlNeumBBase.

Definition at line 584 of file MittelmannDistCntrlNeumB.hpp.

References K_.

virtual Number MittelmannDistCntrlNeumB3::fint_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 590 of file MittelmannDistCntrlNeumB.hpp.

References K_, and M_.

virtual Number MittelmannDistCntrlNeumB3::fint_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,y

Implements MittelmannDistCntrlNeumBBase.

Definition at line 595 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB3::fint_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 601 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB3::fint_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

u,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 606 of file MittelmannDistCntrlNeumB.hpp.

References M_.

virtual bool MittelmannDistCntrlNeumB3::fint_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

u,u is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 612 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB3::fint_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 617 of file MittelmannDistCntrlNeumB.hpp.

References K_.

virtual bool MittelmannDistCntrlNeumB3::fint_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 623 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB3::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 628 of file MittelmannDistCntrlNeumB.hpp.

References a(), and b_.

virtual Number MittelmannDistCntrlNeumB3::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlNeumBBase.

Definition at line 633 of file MittelmannDistCntrlNeumB.hpp.

References a(), and b_.

virtual Number MittelmannDistCntrlNeumB3::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 638 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB3::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 643 of file MittelmannDistCntrlNeumB.hpp.

References b_.

virtual bool MittelmannDistCntrlNeumB3::d_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 649 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB3::d_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

u,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 654 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB3::d_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 660 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB3::d_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

y,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 665 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB3::d_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 671 of file MittelmannDistCntrlNeumB.hpp.

MittelmannDistCntrlNeumB3& MittelmannDistCntrlNeumB3::operator= | ( | const MittelmannDistCntrlNeumB3 & |  | ) | `[private]`

Number MittelmannDistCntrlNeumB3::a | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, private]`

Definition at line 690 of file MittelmannDistCntrlNeumB.hpp.

References pi_.

Referenced by d_cont(), and d_cont_dy().

## Member Data Documentation

const Number MittelmannDistCntrlNeumB3::pi_`[private]`

Value of pi (made available for convenience).

Definition at line 682 of file MittelmannDistCntrlNeumB.hpp.

Referenced by a().

const Number MittelmannDistCntrlNeumB3::M_`[private]`

Definition at line 685 of file MittelmannDistCntrlNeumB.hpp.

Referenced by fint_cont(), fint_cont_du(), and fint_cont_dudu().

const Number MittelmannDistCntrlNeumB3::K_`[private]`

Definition at line 686 of file MittelmannDistCntrlNeumB.hpp.

Referenced by fint_cont(), fint_cont_du(), fint_cont_dy(), and fint_cont_dydu().

const Number MittelmannDistCntrlNeumB3::b_`[private]`

Definition at line 687 of file MittelmannDistCntrlNeumB.hpp.

Referenced by d_cont(), d_cont_dy(), and d_cont_dydy().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/examples/ScalableProblems/MittelmannDistCntrlNeumB.hpp